=== debian/control ===
Source: ros-one-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-catkin-pkg, python3-dev, ros-one-actionlib, ros-one-catkin, ros-one-eigenpy, ros-one-geometry-msgs, ros-one-moveit-msgs, ros-one-moveit-ros-manipulation, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-one-actionlib, ros-one-eigenpy, ros-one-geometry-msgs, ros-one-moveit-msgs, ros-one-moveit-ros-manipulation, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: Components of MoveIt that offer simpler interfaces to planning and execution
