## ros-one-moveit-ros-planning-interface 1.1.16-49noble.20251208.1637

=== debian/changelog ===
ros-one-moveit-ros-planning-interface (1.1.16-49noble.20251208.1637) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 16:37:26 +0000

ros-one-moveit-ros-planning-interface (1.1.16-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.15-0noble) noble; urgency=high

  * PSI: allow persistent connections for [get|apply]_planning_scene services (#3628 <https://github.com/ros-planning/moveit/issues/3628>)
  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Cesare Tonola, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.14-0noble) noble; urgency=high

  * MoveGroupInterface: allow RobotState diffs as start state (#3592 <https://github.com/ros-planning/moveit/issues/3592>)
  * Augment Python PlanningSceneInterface API (#3534 <https://github.com/ros-planning/moveit/issues/3534>)
  * Add PlanningSceneInterface::clear() (#3512 <https://github.com/ros-planning/moveit/issues/3512>)
  * PSI::getKnownObjectNamesInROI: consider collision object's pose (#3477 <https://github.com/ros-planning/moveit/issues/3477>)
  * Contributors: Aaryan Murgunde, Jorge Santos Simón, Robert Haschke, Tom Noble

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.13-0noble) noble; urgency=high

  * Add unittest for #3467 <https://github.com/ros-planning/moveit/issues/3467> (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.12-0noble) noble; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * Rename MGI::getJointNames() to getVariableNames() (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Contributors: Erich Mielke, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.11-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.10-0noble) noble; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Generalize computeCartesianPath() to consider a link_offset (#3197 <https://github.com/ros-planning/moveit/issues/3197>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Add dual arm test (#3119 <https://github.com/ros-planning/moveit/issues/3119>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Robert Haschke, Stephanie Eng, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.9-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.8-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.7-0noble) noble; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Fix uninitialized ``RobotState`` in ``MoveGroupInterface`` (#3008 <https://github.com/ros-planning/moveit/issues/3008>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Captain Yoshi, Jafar Abdi, Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.6-0noble) noble; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit/issues/2892>)
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit/issues/2877>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix trajectory constraints for ``moveit_commander`` (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * ``MGI::setStartState``: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Gauthier Hentz, Kevin Chang, Michael Görner, Robert Haschke, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.5-0noble) noble; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-planning-interface (1.1.4-0noble) noble; urgency=high


